List forms
curl --request GET \
--url https://api.kit.com/v4/forms \
--header 'X-Kit-Api-Key: <api-key>'require 'uri'
require 'net/http'
url = URI("https://api.kit.com/v4/forms")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Kit-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyconst options = {method: 'GET', headers: {'X-Kit-Api-Key': '<api-key>'}};
fetch('https://api.kit.com/v4/forms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kit.com/v4/forms"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Kit-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kit.com/v4/forms",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Kit-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}import requests
url = "https://api.kit.com/v4/forms"
headers = {"X-Kit-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"forms": [
{
"id": 53,
"name": "Sign up",
"created_at": "2023-02-17T11:43:55Z",
"type": "embed",
"format": null,
"embed_js": "https://kit-greetings.kit.com/f049e3d9ab/index.js",
"embed_url": "https://kit-greetings.kit.com/f049e3d9ab",
"archived": false,
"uid": "f049e3d9ab"
},
{
"id": 52,
"name": "Lead gen",
"created_at": "2023-02-17T11:43:55Z",
"type": "hosted",
"format": null,
"embed_js": "https://kit-greetings.kit.com/ae7c1adaa1/index.js",
"embed_url": "https://kit-greetings.kit.com/ae7c1adaa1",
"archived": false,
"uid": "ae7c1adaa1"
}
],
"pagination": {
"has_previous_page": false,
"has_next_page": false,
"start_cursor": "WzUzXQ==",
"end_cursor": "WzUyXQ==",
"per_page": 500
}
}{
"errors": [
"The access token is invalid"
]
}Forms
List forms
Returns a cursor-paginated list of forms and landing pages in the account. Both live on this endpoint — filter with type=embed for embedded forms or type=hosted for landing pages. By default only active forms are returned; use status (active, archived, trashed, or all) to widen the search. Add include=subscriber_count to embed each form’s subscriber count.
Each form includes its uid, embed_js, and embed_url for embedding on your site. To see who joined via a form, use List subscribers for a form; to add an existing subscriber, use Add subscriber to form.
GET
/
v4
/
forms
List forms
curl --request GET \
--url https://api.kit.com/v4/forms \
--header 'X-Kit-Api-Key: <api-key>'require 'uri'
require 'net/http'
url = URI("https://api.kit.com/v4/forms")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Kit-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyconst options = {method: 'GET', headers: {'X-Kit-Api-Key': '<api-key>'}};
fetch('https://api.kit.com/v4/forms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kit.com/v4/forms"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Kit-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kit.com/v4/forms",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Kit-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}import requests
url = "https://api.kit.com/v4/forms"
headers = {"X-Kit-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"forms": [
{
"id": 53,
"name": "Sign up",
"created_at": "2023-02-17T11:43:55Z",
"type": "embed",
"format": null,
"embed_js": "https://kit-greetings.kit.com/f049e3d9ab/index.js",
"embed_url": "https://kit-greetings.kit.com/f049e3d9ab",
"archived": false,
"uid": "f049e3d9ab"
},
{
"id": 52,
"name": "Lead gen",
"created_at": "2023-02-17T11:43:55Z",
"type": "hosted",
"format": null,
"embed_js": "https://kit-greetings.kit.com/ae7c1adaa1/index.js",
"embed_url": "https://kit-greetings.kit.com/ae7c1adaa1",
"archived": false,
"uid": "ae7c1adaa1"
}
],
"pagination": {
"has_previous_page": false,
"has_next_page": false,
"start_cursor": "WzUzXQ==",
"end_cursor": "WzUyXQ==",
"per_page": 500
}
}{
"errors": [
"The access token is invalid"
]
}Authorizations
API KeyOAuth2
Query Parameters
Was this page helpful?